echo cluster admin remove sql / agent / generic
echo ip / net address
echo move drive back to proper node

echo Step 1
echo kill services
kill -f sqlmangr.exe
kill -f sqlservr.exe
kill -f sqlagent.exe
kill -f isql.exe
kill -f isqlw.exe
kill -f osql.exe
kill -f VSRVSVC.EXE


echo Step 2
echo Remove Registry Entries
echo need to replace
regtool delete /q /r HKEY_LOCAL_MACHINE\Software\Microsoft\MSSQLSERVER$NCVSSQL2
regtool delete /q /r HKEY_LOCAL_MACHINE\System\CurrentControlSet\Services\MSSQLSERVER$NCVSSQL2
regtool delete /q /r HKEY_LOCAL_MACHINE\System\CurrentControlSet\Services\SQLSERVERAGENT$NCVSSQL2
regtool delete /q /r HKEY_LOCAL_MACHINE\System\CurrentControlSet\Services\VSrvSvc$NCVSSQL2

regtool delete /q /r HKEY_LOCAL_MACHINE\Software\Microsoft\SQL Cluster Setup
regtool delete /q /r HKEY_LOCAL_MACHINE\Software\Microsoft\VirtualServers
regtool delete /q /r HKEY_LOCAL_MACHINE\Cluster\ResourceTypes\SQL Server Agent 7.0
regtool delete /q /r HKEY_LOCAL_MACHINE\Cluster\ResourceTypes\SQL Server 7.0
regtool delete /q /r HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\UnInstall\Cluster Secondary Node

echo Step 3
echo Removing Cluster Files
del /f %WINDIR%\system32\SQAGTRES.DLL >nul
del /f %WINDIR%\system32\SQSRVRES.DLL >nul
del /f %WINDIR%\system32\VDVAPI32.DLL >nul
del /f %WINDIR%\system32\Vernel32.DLL >nul
del /f %WINDIR%\system32\VSRVSVC.EXE >nul
del /f %WINDIR%\system32\VTWDBLIB.DLL >nul

echo Step 4
echo remove _VIRTUAL_SERVER_NAME_
:begin 
regtool VALUE /compare:NCVSSQL2 HKEY_LOCAL_MACHINE\System\CurrentControlSet\Control\Session Manager\Environment\_VIRTUAL_SERVER_NAME_
if errorlevel 1 goto end 
reg DELETE "HKLM\System\CurrentControlSet\Control\Session Manager\Environment\_VIRTUAL_SERVER_NAME_" /FORCE
:end 

echo Step 5
echo apf32cvt
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\autoplt.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\autowiz.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\axscphst.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\ce_clnt.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\ce_sprxy.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\comnevnt.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\dtsffile.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\dtspkg.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\dtspump.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\dtsui.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\dtswiz.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\impprov.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\mspdb50.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\odsole70.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\opends60.dll
echo apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\psdcscm.dll
echo apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\replagnt.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\repldist.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\repldp.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\replsync.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\semcomn.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\semcros.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\semdll.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\semexec.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\semmap.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\semnt.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\semobj.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\semrepl.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\semsys.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\semwebwz.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\semwiz.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\sfc.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\spresolv.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\sqlagent.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\sqlatxss.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\sqlboot.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\sqlcmdss.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\sqldmo.dll
echo apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\sqlevn70.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\sqlftwiz.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\sqlgui.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\sqlimage.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\sqllex.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\sqlmap70.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\sqlmmc.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\sqlns.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\sqlpfe70.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\sqlqry.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\sqlrepss.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\sqlresld.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\sqlrgstr.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\sqlsnmp.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\sqlsrs.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\sqlsui.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\sqlsvc.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\sqlswa.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\sqltrace.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\sqlvdi.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\sqlvdis.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\sqlwid.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\sqlxmem.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\ssmsad70.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\ssmsrp70.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\ssmsso70.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\ssmssp70.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\ssmsvi70.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\ssnmpn70.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\stardds.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\tracewiz.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\ums.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\w95scm.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\xplog70.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\xprepl.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\xpsql70.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\xpsqlbot.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\xpstar.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\xpweb70.dll
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\bcp.exe
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\cnfgsvr.exe
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\console.exe
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\dcomscm.exe
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\distrib.exe
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\dtsrun.exe
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\dtswiz.exe
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\isql.exe
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\isqlw.exe
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\langinst.exe
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\logread.exe
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\makepipe.exe
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\odbccmpt.exe
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\odbcping.exe
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\osql.exe
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\readpipe.exe
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\rebuildm.exe
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\regrebld.exe
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\replmerg.exe
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\replupd.exe
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\scm.exe
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\snapshot.exe
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\sqlagent.exe
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\sqldiag.exe
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\sqlftwiz.exe
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\sqlmaint.exe
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\sqlmangr.exe
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\sqlservr.exe
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\sqltrace.exe
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\svrnetcn.exe
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\textcopy.exe
echo apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\vswitch.exe
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\wiztrace.exe
apf32cvt kernel32 advapi32 ntwdblib e:\mssql7\binn\xfragent.exe

echo other files
apf32cvt kernel32 advapi32 ntwdblib "%WINDIR%\system32\dbnmpntw.dll"
apf32cvt kernel32 advapi32 ntwdblib "%WINDIR%\system32\sqlsrv32.dll"
apf32cvt kernel32 advapi32 ntwdblib "%WINDIR%\system32\sqlstr.dll"
apf32cvt kernel32 advapi32 ntwdblib "%WINDIR%\system32\sqlwoa.dll"
apf32cvt kernel32 advapi32 ntwdblib "%SYSTEMDRIVE%\program files\common files\microsoft shared\sql server\dtsffile.dll"
apf32cvt kernel32 advapi32 ntwdblib "%SYSTEMDRIVE%\program files\common files\microsoft shared\sql server\dtspkg.dll"
apf32cvt kernel32 advapi32 ntwdblib "%SYSTEMDRIVE%\program files\common files\microsoft shared\sql server\dtspump.dll"
apf32cvt kernel32 advapi32 ntwdblib "%SYSTEMDRIVE%\program files\common files\microsoft shared\sql server\dtsui.dll"
apf32cvt kernel32 advapi32 ntwdblib "%SYSTEMDRIVE%\program files\common files\microsoft shared\sql server\repldist.dll"
apf32cvt kernel32 advapi32 ntwdblib "%SYSTEMDRIVE%\program files\common files\microsoft shared\sql server\repldp.dll"
apf32cvt kernel32 advapi32 ntwdblib "%SYSTEMDRIVE%\program files\common files\microsoft shared\sql server\semcomn.dll"
apf32cvt kernel32 advapi32 ntwdblib "%SYSTEMDRIVE%\program files\common files\microsoft shared\sql server\sfc.dll"
apf32cvt kernel32 advapi32 ntwdblib "%SYSTEMDRIVE%\program files\common files\microsoft shared\sql server\spresolv.dll"
apf32cvt kernel32 advapi32 ntwdblib "%SYSTEMDRIVE%\program files\common files\microsoft shared\sql server\sqldmo.dll"
apf32cvt kernel32 advapi32 ntwdblib "%SYSTEMDRIVE%\program files\common files\microsoft shared\sql server\sqlgui.dll"
apf32cvt kernel32 advapi32 ntwdblib "%SYSTEMDRIVE%\program files\common files\microsoft shared\sql server\sqlmmc.dll"
apf32cvt kernel32 advapi32 ntwdblib "%SYSTEMDRIVE%\program files\common files\microsoft shared\sql server\sqlns.dll"
apf32cvt kernel32 advapi32 ntwdblib "%SYSTEMDRIVE%\program files\common files\microsoft shared\sql server\sqlrepss.dll"
apf32cvt kernel32 advapi32 ntwdblib "%SYSTEMDRIVE%\program files\common files\microsoft shared\sql server\sqlresld.dll"
apf32cvt kernel32 advapi32 ntwdblib "%SYSTEMDRIVE%\program files\common files\microsoft shared\sql server\sqlsvc.dll"
apf32cvt kernel32 advapi32 ntwdblib "%SYSTEMDRIVE%\program files\common files\microsoft shared\sql server\sqlvdi.dll"
apf32cvt kernel32 advapi32 ntwdblib "%SYSTEMDRIVE%\program files\common files\microsoft shared\sql server\sqlwid.dll"
apf32cvt kernel32 advapi32 ntwdblib "%SYSTEMDRIVE%\program files\common files\microsoft shared\sql server\w95scm.dll"
apf32cvt kernel32 advapi32 ntwdblib "%SYSTEMDRIVE%\program files\common files\microsoft shared\sql server\distrib.exe"
apf32cvt kernel32 advapi32 ntwdblib "%SYSTEMDRIVE%\program files\common files\microsoft shared\sql server\logread.exe"
apf32cvt kernel32 advapi32 ntwdblib "%SYSTEMDRIVE%\program files\common files\microsoft shared\sql server\replmerg.exe"
apf32cvt kernel32 advapi32 ntwdblib "%SYSTEMDRIVE%\program files\common files\microsoft shared\sql server\snapshot.exe"

echo Additional Golden Files
apf32cvt kernel32 advapi32 ntwdblib "%WINDIR%\system32\CLICONFG.EXE"
apf32cvt kernel32 advapi32 ntwdblib "%WINDIR%\system32\CLICONFG.DLL"
apf32cvt kernel32 advapi32 ntwdblib "%WINDIR%\system32\DBMSRPCN.DLL"


echo Refresh Build files
apf32cvt kernel32 advapi32 ntwdblib "%WINDIR%\system32\NTWDBLIB.DLL"
apf32cvt kernel32 advapi32 ntwdblib "%WINDIR%\system32\dbnmpntw.dll"
apf32cvt kernel32 advapi32 ntwdblib "%SYSTEMDRIVE%\program files\common files\system\ole db\SQLOLEDB.DLL"








